Bug 56393 - Update port: lang/slib to 2d6 (supersedes ports/55407, including repo-copy + new port)
Update port: lang/slib to 2d6 (supersedes ports/55407, including repo-copy + ...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pav
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-04 05:00 UTC by fuyuki
Modified: 2003-12-14 20:20 UTC (History)
0 users

See Also:


Attachments
file.diff (6.33 KB, patch)
2003-09-04 05:00 UTC, fuyuki
no flags Details | Diff
file.diff (1.94 KB, patch)
2003-09-04 05:00 UTC, fuyuki
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fuyuki 2003-09-04 05:00:32 UTC
At first, ports/55407 was very incomplete. Forget about that.

Here are todos and howtos.

1. SLIB is just a library, not a language, so that it should be moved
   to devel/. (cf. http://cvsweb.netbsd.org/bsdweb.cgi/pkgsrc/devel/)

- Repo-copy lang/slib -> devel/slib

2. SLIB is a portable scheme library, i.e. it's not specific to Guile,
   so that it shouldn't depend on lang/guile.

- Apply the patch below. It also updates to the recent version.

3. Several ports depend on the SLIB installation for Guile, so that a
   new port must be imported.

- Add devel/guile-slib
- Change the dependencies that currently point to lang/slib.
  (patch included)

Fix: cvs server: Diffing .
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	guile-slib
#	guile-slib/Makefile
#	guile-slib/pkg-descr
#	guile-slib/pkg-plist
#
echo c - guile-slib
mkdir -p guile-slib > /dev/null 2>&1
echo x - guile-slib/Makefile
sed 's/^X//' >guile-slib/Makefile << 'END-of-guile-slib/Makefile'
X# New ports collection makefile for:	SLIB for Guile
X# Date created:			3 September 2003
X# Whom:				Kimura Fuyuki <fuyuki@nigredo.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	slib
XPORTVERSION=	2d6 # Keep this in sync with devel/slib
XCATEGORIES=	devel
XMASTER_SITES=	# empty
XPKGNAMEPREFIX=	guile-
XDISTFILES=	# empty
X
XMAINTAINER=	fuyuki@nigredo.org
XCOMMENT=	SLIB installation for Guile
X
XBUILD_DEPENDS=	guile:${PORTSDIR}/lang/guile \
X		${LOCALBASE}/share/slib/require.scm:${PORTSDIR}/devel/slib
XRUN_DEPENDS=	${BUILD_DEPENDS}
X
XNO_BUILD=	yes
X
Xdo-install:
X	${LN} -shf ${PREFIX}/share/slib ${LOCALBASE}/share/guile/slib
X	${LOCALBASE}/bin/guile -c \
X		"(use-modules (ice-9 slib)) (require 'new-catalog)"
X
X.include <bsd.port.mk>
END-of-guile-slib/Makefile
echo x - guile-slib/pkg-descr
sed 's/^X//' >guile-slib/pkg-descr << 'END-of-guile-slib/pkg-descr'
XThis package is constructed to work with GNU Guile. To use the
Xfeatures offered by the SLIB library, add the following construct
Xto your programs:
X
X       (use-modules (ice-9 slib))
END-of-guile-slib/pkg-descr
echo x - guile-slib/pkg-plist
sed 's/^X//' >guile-slib/pkg-plist << 'END-of-guile-slib/pkg-plist'
X@exec ln -shf %D/share/slib %%LOCALBASE%%/share/guile/slib
X@exec %%LOCALBASE%%/bin/guile -c "(use-modules (ice-9 slib)) (require 'new-catalog)"
X@unexec rm -f %%LOCALBASE%%/share/guile/slib
X@unexec rm -f %%LOCALBASE%%/share/guile/slibcat
END-of-guile-slib/pkg-plist
exit
Comment 1 krion freebsd_committer 2003-09-04 06:19:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nakai

Over to maintainer.
Comment 2 kris freebsd_committer 2003-11-03 01:21:34 UTC
Responsible Changed
From-To: nakai->freebsd-ports-bugs

Responsible person is no longer a ports committer
Comment 3 fuyuki 2003-11-03 06:25:00 UTC
- Change the port name in favor of "slib-guile" rather than "guile-slib"
- Assume maintainership

cvs diff: Diffing .
Index: Makefile
===================================================================
RCS file: /cvs/FreeBSD/ports/lang/slib/Makefile,v
retrieving revision 1.21
diff -u -r1.21 Makefile
--- Makefile	3 Nov 2003 01:19:23 -0000	1.21
+++ Makefile	3 Nov 2003 06:19:30 -0000
@@ -6,37 +6,30 @@
 #
 
 PORTNAME=	slib
-PORTVERSION=	2d5
-PORTREVISION=	1
-CATEGORIES=	lang scheme
+PORTVERSION=	2d6
+CATEGORIES=	devel scheme
 MASTER_SITES=	http://swissnet.ai.mit.edu/ftpdir/scm/
 DISTNAME=	slib${PORTVERSION}
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	fuyuki@nigredo.org
 COMMENT=	A portable scheme library
 
-RUN_DEPENDS=	guile:${PORTSDIR}/lang/guile
-
 WRKSRC=		${WRKDIR}/slib
-
 NO_BUILD=	yes
+INFO=		slib
 
 do-install:
 	${MKDIR} ${DATADIR}
-	${INSTALL_DATA} ${WRKSRC}/*.scm ${DATADIR}
-	${RM} -f ${LOCALBASE}/share/guile/slib
-	${LN} -sf ${PREFIX}/share/slib ${LOCALBASE}/share/guile/slib
-	${LOCALBASE}/bin/guile -c \
-		"(use-modules (ice-9 slib)) (require 'new-catalog)"
+	cd ${WRKSRC}; ${INSTALL_DATA} *.scm *.init *.txt *.xyz ${DATADIR}
 
 post-install:
+	${INSTALL_MAN} ${WRKSRC}/slib.info ${PREFIX}/info
+	install-info ${PREFIX}/info/slib.info ${PREFIX}/info/dir
 .if !defined(NOPORTDOCS)
 	${MKDIR} ${DOCSDIR}
 .for file in ANNOUNCE COPYING ChangeLog FAQ README
 	${INSTALL_MAN} ${WRKSRC}/${file} ${DOCSDIR}
 .endfor
-	${INSTALL_MAN} ${WRKSRC}/slib.info ${PREFIX}/info
-	install-info ${PREFIX}/info/slib.info ${PREFIX}/info/dir
 .endif
 
 .include <bsd.port.mk>
Index: distinfo
===================================================================
RCS file: /cvs/FreeBSD/ports/lang/slib/distinfo,v
retrieving revision 1.6
diff -u -r1.6 distinfo
--- distinfo	4 Apr 2003 21:17:28 -0000	1.6
+++ distinfo	9 Aug 2003 02:05:08 -0000
@@ -1 +1 @@
-MD5 (slib2d5.tar.gz) = e76f8d3b52ccd5c0f9c559310ecf6f68
+MD5 (slib2d6.tar.gz) = 25afebd0735c523b6d43be55d4a521c4
Index: pkg-descr
===================================================================
RCS file: /cvs/FreeBSD/ports/lang/slib/pkg-descr,v
retrieving revision 1.2
diff -u -r1.2 pkg-descr
--- pkg-descr	4 Apr 2003 21:17:28 -0000	1.2
+++ pkg-descr	3 Sep 2003 06:38:31 -0000
@@ -1,9 +1,4 @@
-A portable scheme library
-
-This package is constructed to work with GNU Guile. To use the
-features offered by the SLIB library, add the following construct
-to your programs:
-
-       (use-modules (ice-9 slib))
+SLIB is a portable scheme library providing compatibility and utility
+functions for standard Scheme implementations.
 
 WWW: http://www.swiss.ai.mit.edu/~jaffer/SLIB.html
Index: pkg-plist
===================================================================
RCS file: /cvs/FreeBSD/ports/lang/slib/pkg-plist,v
retrieving revision 1.8
diff -u -r1.8 pkg-plist
--- pkg-plist	4 Apr 2003 21:17:28 -0000	1.8
+++ pkg-plist	3 Sep 2003 06:53:54 -0000
@@ -1,14 +1,21 @@
 %%DATADIR%%/Bev2slib.scm
+%%DATADIR%%/DrScheme.init
+%%DATADIR%%/RScheme.init
+%%DATADIR%%/STk.init
 %%DATADIR%%/Template.scm
 %%DATADIR%%/alist.scm
 %%DATADIR%%/alistab.scm
 %%DATADIR%%/array.scm
 %%DATADIR%%/arraymap.scm
 %%DATADIR%%/batch.scm
+%%DATADIR%%/bigloo.init
 %%DATADIR%%/break.scm
 %%DATADIR%%/byte.scm
 %%DATADIR%%/chap.scm
 %%DATADIR%%/charplot.scm
+%%DATADIR%%/chez.init
+%%DATADIR%%/cie1931.xyz
+%%DATADIR%%/cie1964.xyz
 %%DATADIR%%/cltime.scm
 %%DATADIR%%/coerce.scm
 %%DATADIR%%/collect.scm
@@ -34,16 +41,19 @@
 %%DATADIR%%/dwindtst.scm
 %%DATADIR%%/dynamic.scm
 %%DATADIR%%/dynwind.scm
+%%DATADIR%%/elk.init
 %%DATADIR%%/eval.scm
 %%DATADIR%%/factor.scm
 %%DATADIR%%/fft.scm
 %%DATADIR%%/fluidlet.scm
 %%DATADIR%%/format.scm
 %%DATADIR%%/formatst.scm
+%%DATADIR%%/gambit.init
 %%DATADIR%%/genwrite.scm
 %%DATADIR%%/getopt.scm
 %%DATADIR%%/getparam.scm
 %%DATADIR%%/glob.scm
+%%DATADIR%%/guile.init
 %%DATADIR%%/hash.scm
 %%DATADIR%%/hashtab.scm
 %%DATADIR%%/html4each.scm
@@ -52,10 +62,12 @@
 %%DATADIR%%/lineio.scm
 %%DATADIR%%/logical.scm
 %%DATADIR%%/macrotst.scm
+%%DATADIR%%/macscheme.init
 %%DATADIR%%/macwork.scm
 %%DATADIR%%/matfile.scm
 %%DATADIR%%/mbe.scm
 %%DATADIR%%/minimize.scm
+%%DATADIR%%/mitscheme.init
 %%DATADIR%%/mklibcat.scm
 %%DATADIR%%/modular.scm
 %%DATADIR%%/mulapply.scm
@@ -63,10 +75,12 @@
 %%DATADIR%%/mwdenote.scm
 %%DATADIR%%/mwexpand.scm
 %%DATADIR%%/mwsynrul.scm
+%%DATADIR%%/ncbi-dna.scm
 %%DATADIR%%/null.scm
 %%DATADIR%%/obj2str.scm
 %%DATADIR%%/object.scm
 %%DATADIR%%/paramlst.scm
+%%DATADIR%%/phil-spc.scm
 %%DATADIR%%/plottest.scm
 %%DATADIR%%/pnm.scm
 %%DATADIR%%/pp.scm
@@ -76,6 +90,7 @@
 %%DATADIR%%/priorque.scm
 %%DATADIR%%/process.scm
 %%DATADIR%%/promise.scm
+%%DATADIR%%/pscheme.init
 %%DATADIR%%/psxtime.scm
 %%DATADIR%%/qp.scm
 %%DATADIR%%/queue.scm
@@ -89,7 +104,10 @@
 %%DATADIR%%/repl.scm
 %%DATADIR%%/report.scm
 %%DATADIR%%/require.scm
+%%DATADIR%%/resenecolours.txt
 %%DATADIR%%/root.scm
+%%DATADIR%%/s48-0_57.init
+%%DATADIR%%/saturate.txt
 %%DATADIR%%/sc2.scm
 %%DATADIR%%/sc4opt.scm
 %%DATADIR%%/sc4sc3.scm
@@ -99,8 +117,12 @@
 %%DATADIR%%/scamacr.scm
 %%DATADIR%%/scanf.scm
 %%DATADIR%%/scaoutp.scm
+%%DATADIR%%/scheme2c.init
+%%DATADIR%%/scheme48.init
 %%DATADIR%%/schmooz.scm
+%%DATADIR%%/scm.init
 %%DATADIR%%/scmacro.scm
+%%DATADIR%%/scsh.init
 %%DATADIR%%/selfset.scm
 %%DATADIR%%/sierpinski.scm
 %%DATADIR%%/simetrix.scm
@@ -118,6 +140,7 @@
 %%DATADIR%%/synchk.scm
 %%DATADIR%%/synclo.scm
 %%DATADIR%%/synrul.scm
+%%DATADIR%%/t3.init
 %%DATADIR%%/timezone.scm
 %%DATADIR%%/trace.scm
 %%DATADIR%%/transact.scm
@@ -125,23 +148,18 @@
 %%DATADIR%%/trnscrpt.scm
 %%DATADIR%%/tsort.scm
 %%DATADIR%%/tzfile.scm
+%%DATADIR%%/umbscheme.init
 %%DATADIR%%/uri.scm
 %%DATADIR%%/values.scm
+%%DATADIR%%/vscm.init
 %%DATADIR%%/withfile.scm
 %%DATADIR%%/wttest.scm
 %%DATADIR%%/wttree.scm
 %%DATADIR%%/yasyn.scm
-%%PORTDOCS%%share/doc/slib/ANNOUNCE
-%%PORTDOCS%%share/doc/slib/COPYING
-%%PORTDOCS%%share/doc/slib/ChangeLog
-%%PORTDOCS%%share/doc/slib/FAQ
-%%PORTDOCS%%share/doc/slib/README
-%%PORTDOCS%%@unexec install-info --delete %D/info/slib.info %D/info/dir
-%%PORTDOCS%%info/slib.info
-%%PORTDOCS%%@exec install-info %D/info/slib.info %D/info/dir
-%%PORTDOCS%%@dirrm share/doc/slib
-@exec ln -shf %D/%%DATADIR%% %%LOCALBASE%%/share/guile/slib
-@exec %%LOCALBASE%%/bin/guile -c "(use-modules (ice-9 slib)) (require 'new-catalog)"
-@unexec rm -f %%LOCALBASE%%/share/guile/slib
-@unexec rm -f %%LOCALBASE%%/share/guile/slibcat
+%%PORTDOCS%%%%DOCSDIR%%/ANNOUNCE
+%%PORTDOCS%%%%DOCSDIR%%/COPYING
+%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
+%%PORTDOCS%%%%DOCSDIR%%/FAQ
+%%PORTDOCS%%%%DOCSDIR%%/README
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
 @dirrm %%DATADIR%%
Index: Makefile
===================================================================
RCS file: /cvs/FreeBSD/ports/devel/g-wrap/Makefile,v
retrieving revision 1.20
diff -u -r1.20 Makefile
--- Makefile	28 Aug 2003 00:01:07 -0000	1.20
+++ Makefile	3 Nov 2003 06:11:50 -0000
@@ -16,7 +16,7 @@
 MAINTAINER=	gnome@FreeBSD.org
 COMMENT=	A tool for exporting C libraries into Scheme interpreters
 
-BUILD_DEPENDS=	${LOCALBASE}/share/slib/require.scm:${PORTSDIR}/lang/slib
+BUILD_DEPENDS=	${LOCALBASE}/share/guile/slib/slibcat:${PORTSDIR}/devel/slib-guile
 LIB_DEPENDS=	guile.15:${PORTSDIR}/lang/guile \
 		guilegtk-1.2.0:${PORTSDIR}/x11-toolkits/guile-gtk
 RUN_DEPENDS=	${LOCALBASE}/share/slib/require.scm:${PORTSDIR}/lang/slib
Index: Makefile
===================================================================
RCS file: /cvs/FreeBSD/ports/security/lsh/Makefile,v
retrieving revision 1.23
diff -u -r1.23 Makefile
--- Makefile	24 Sep 2003 09:36:57 -0000	1.23
+++ Makefile	3 Nov 2003 06:10:54 -0000
@@ -16,7 +16,7 @@
 COMMENT=	A secure (encrypted) remote shell compatible with ssh 2.0
 
 BUILD_DEPENDS+=	${LOCALBASE}/include/gmp.h:${PORTSDIR}/math/libgmp4 \
-		${LOCALBASE}/share/slib/require.scm:${PORTSDIR}/lang/slib
+		${LOCALBASE}/share/guile/slibcat:${PORTSDIR}/devel/slib-guile
 LIB_DEPENDS+=	oop:${PORTSDIR}/devel/liboop
 
 GNU_CONFIGURE=	yes
Index: Makefile
===================================================================
RCS file: /cvs/FreeBSD/ports/finance/gnucash/Makefile,v
retrieving revision 1.67
diff -u -r1.67 Makefile
--- Makefile	25 Sep 2003 05:17:05 -0000	1.67
+++ Makefile	3 Nov 2003 06:11:26 -0000
@@ -23,7 +23,7 @@
 		ofx.0:${PORTSDIR}/finance/libofx \
 		db4.0:${PORTSDIR}/databases/db4 \
 		gw-standard.0:${PORTSDIR}/devel/g-wrap
-RUN_DEPENDS=	${LOCALBASE}/share/slib/Template.scm:${PORTSDIR}/lang/slib \
+RUN_DEPENDS=	${LOCALBASE}/share/guile/slib/slibcat:${PORTSDIR}/devel/slib-guile \
 		${SITE_PERL}/HTML/Base.pm:${PORTSDIR}/www/p5-HTML \
 		${SITE_PERL}/LWP.pm:${PORTSDIR}/www/p5-libwww \
 		${SITE_PERL}/Date/Manip.pm:${PORTSDIR}/devel/p5-Date-Manip \


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	slib-guile
#	slib-guile/pkg-descr
#	slib-guile/pkg-plist
#	slib-guile/Makefile
#
echo c - slib-guile
mkdir -p slib-guile > /dev/null 2>&1
echo x - slib-guile/pkg-descr
sed 's/^X//' >slib-guile/pkg-descr << 'END-of-slib-guile/pkg-descr'
XTo use the features offered by the SLIB library, add the following
Xconstruct to your programs:
X
X	(use-modules (ice-9 slib))
END-of-slib-guile/pkg-descr
echo x - slib-guile/pkg-plist
sed 's/^X//' >slib-guile/pkg-plist << 'END-of-slib-guile/pkg-plist'
X@exec ln -shf %D/share/slib %%LOCALBASE%%/share/guile/slib
X@exec %%LOCALBASE%%/bin/guile -c "(use-modules (ice-9 slib)) (require 'new-catalog)"
X@unexec rm -f %%LOCALBASE%%/share/guile/slib
X@unexec rm -f %%LOCALBASE%%/share/guile/slibcat
END-of-slib-guile/pkg-plist
echo x - slib-guile/Makefile
sed 's/^X//' >slib-guile/Makefile << 'END-of-slib-guile/Makefile'
X# New ports collection makefile for:	SLIB for Guile
X# Date created:                3 November 2003
X# Whom:                        Kimura Fuyuki <fuyuki@nigredo.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	slib
XPORTVERSION=	2d6 # Keep this in sync with devel/slib
XCATEGORIES=	devel scheme
XMASTER_SITES=	# empty
XPKGNAMESUFFIX=	-guile
XDISTFILES=	# empty
X
XMAINTAINER=	fuyuki@nigredo.org
XCOMMENT=	SLIB installation for Guile
X
XBUILD_DEPENDS=	${LOCALBASE}/share/slib/require.scm:${PORTSDIR}/devel/slib \
X		guile:${PORTSDIR}/lang/guile
XRUN_DEPENDS=	${BUILD_DEPENDS}
X
XNO_BUILD=	yes
X
Xdo-install:
X	${LN} -shf ${PREFIX}/share/slib ${LOCALBASE}/share/guile/slib
X	${LOCALBASE}/bin/guile -c \
X		"(use-modules (ice-9 slib)) (require 'new-catalog)"
X
X.include <bsd.port.mk>
END-of-slib-guile/Makefile
exit
Comment 4 pav freebsd_committer 2003-12-14 19:59:42 UTC
State Changed
From-To: open->feedback

Is there any need for that guile-slib port? 
I checked all slib using ports, and they are already 
including slib in original source code. This sounds 
like an unneeded complication for me. 


Comment 5 pav freebsd_committer 2003-12-14 19:59:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

I'll take care.
Comment 6 pav freebsd_committer 2003-12-14 20:02:10 UTC
State Changed
From-To: feedback->open

Disregard my previous comment, I overlooked important thing.
Comment 7 pav freebsd_committer 2003-12-14 20:20:07 UTC
State Changed
From-To: open->closed

Committed (without the repocopy), thanks.